=== debian/changelog ===
xmix (2.1-9) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Rewrote d/rules to enable hardening.
  * Added XDG desktop entry replacing Debian menu entry.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 Jun 2024 08:29:08 +0200

xmix (2.1-8) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007598).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 22:07:53 +0200

xmix (2.1-7) unstable; urgency=low

  * Add hurd support; thanks to Samuel Thibault for the patch.
    Closes: #637533.
  * Update debhelper usage
  * Update Standards-Version
  * Add hardening flags
  * Fix up lots of lintian warnings

 -- Steve McIntyre <93sam@debian.org>  Thu, 04 Sep 2014 23:23:29 +0100

xmix (2.1-6) unstable; urgency=low

  * Taking patch from the Non-maintainer upload - thanks Frank!
    Closes: #368283

 -- Steve McIntyre <93sam@debian.org>  Sun, 21 May 2006 22:08:33 +0100

xmix (2.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install man pages into /usr/share/man, not /usr/X11R6/man
  * Install command into /usr/bin, not /usr/X11R6/bin
  * Correct path in menu file
  * Change build dependency from xutils to xutils-dev

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 21 May 2006 00:53:33 -0500

xmix (2.1-5) unstable; urgency=low

  * New maintainer.
  * Fix RC dependency on xlibs-dev. Closes: #346948
  * Add GNU/kFreeBSD support; thanks to Aurelien Jarno for the patch.
    Closes: #336865
  * Updated Standards-Version.
  * Updated debconf version requirement to 4 (remove warnings).
  * Fixed compiler warnings.
  * Fixed lintian warnings.

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Jan 2006 19:49:07 +0000

xmix (2.1-4) unstable; urgency=low

  * New maintainer
  * Change the way it decodes volume info to match gmix.
  * Change to use debhelper
  * Closes: #165460

 -- Steve Dunham <dunham@debian.org>  Thu, 31 Oct 2002 07:14:15 -0800

xmix (2.1-3.4) unstable; urgency=low

  * NMU
  * xmix.c: Changed type of centering_width to Dimension and types
    of volumes to int, fixes breakage on big-endian machines.
    (closes: #133865)

 -- Lukas Geyer <geyer@math.uni-dortmund.de>  Sat, 31 Aug 2002 19:02:07 -0400

xmix (2.1-3.3) unstable; urgency=low

  * NMU
  * Added the missing build dependency on libxaw7-dev.
    (closes: #106844)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 10 Nov 2001 10:39:13 +0100

xmix (2.1-3.2) unstable; urgency=low

  * NMU
  * recompiled against modern libraries (Closes: #52938)
  * lintian 1.20.9 clean
  * debian/control:
    - added Build-Depends
    - bumped Standards-Version to 3.5.2
  * debian/menu: menu file from Adrian Bridgett (Closes: #72174)
  * debian/rules:
    - install documentation to /usr/share/doc
    - install app-defaults file to correct place (Closes: #86318)
    - install postinst and prerm scripts
  * debian/{postinst,postrm,prerm}:
    - handle /usr/doc symlink
    - call update-menus if it exists

 -- Branden Robinson <branden@debian.org>  Fri, 16 Mar 2001 16:50:19 -0500

xmix (2.1-3.1) unstable; urgency=low

  * Libc6 compile to correct problems with mixed libs. (#11752,#14005)

 -- Martin Mitchell <martin@debian.org>  Mon, 17 Nov 1997 18:37:00 +1100

xmix (2.1-3) unstable; urgency=low

  * Converted to new source package format

 -- Owen Dunn <owen@greenend.org.uk>  Sat, 16 Nov 1996 18:07:29 +0000

xmix (2.1-2) unstable; urgency=low

  * No longer produces `Supported' debugging message

 -- Owen Dunn <owen@greenend.org.uk>  Thu, 11 Jul 1996 18:05:27 +0100
