=== debian/control ===
Source: xmix
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               imagemagick,
               libxaw7-dev,
               libxt-dev,
               xutils-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/xmix
Vcs-Git: https://salsa.debian.org/debian/xmix.git

Package: xmix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: X11-based interface to the Linux sound driver mixer
 This interface to the sound driver mixer allows easy adjustment of the
 sound card's input and output levels, and selection of sound source
 for recording.
