=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	xmkmf
	dh_auto_build -- LOCAL_LDFLAGS="$(LDFLAGS)" CDEBUGFLAGS="" \
		CCOPTIONS="$(CFLAGS) $(CPPFLAGS) -fno-strict-aliasing -Wall"

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/xmix/usr/share/icons
	convert xmix.icon.bit $(CURDIR)/debian/xmix/usr/share/icons/xmix.png
